Skip to main content

Query Margin Account's Open OTO/OTOCO Order Lists (USER_DATA)

API Description​

Retrieves all open OTO / OTOCO order lists of the margin account.

HTTP Request​

GET /sapi/v1/margin/oto/openOrderList

Request Weight​

10(UID)

Request Parameters​

NameTypeMandatoryDescription
symbolSTRINGNOOnly support for cross margin symbol query
recvWindowLONGNOThe value cannot be greater than 60000
timestampLONGYES

Notes:

  • The returned list contains order lists whose listOrderStatus is EXECUTING, i.e. at least one order of the list is still open (NEW / PARTIALLY_FILLED).
  • For OTO, the orders array contains 2 orders: the working order and the pending order.
  • For OTOCO, the orders array contains 3 orders: the working order and the two pending orders (pending above / pending below).

Response Example​

[
{
"orderListId": 24867326110,
"contingencyType": "OTOCO",
"listStatusType": "EXEC_STARTED",
"listOrderStatus": "EXECUTING",
"listClientOrderId": "web_6324e98951224f96b8a24f312abe5067",
"transactionTime": 1790063061632,
"symbol": "ASTERUSDT",
"orders": [
{
"symbol": "ASTERUSDT",
"orderId": 499470863,
"status": "NEW",
"clientOrderId": "web_f8890794e27b42a1a2ef6b5aef79a949"
},
{
"symbol": "ASTERUSDT",
"orderId": null, // if the working order is not filled yet, return null here
"status": "PENDING_NEW",
"clientOrderId": "web_bca0f0bef38b4140b1dd03b23bbe87d9"
},
{
"symbol": "ASTERUSDT",
"orderId": null, // if the working order is not filled yet, return null here
"status": "PENDING_NEW",
"clientOrderId": "web_f4d44419824e445994c038306c0762a9"
}
]
}
]